«Ошибка протокола SSL» в Chromium для нескольких веб-сайтов Google после установки Ubuntu Security Updates для libnss3

7

Сценарий : портативный компьютер работает Ubuntu 12.04.5 LTS (64-разрядная версия) ("Precise Pangolin")

Проблема . В веб-браузере Chromium - Версия 37.0.2062.120 Ubuntu 12.04 (281580) (64-разрядная версия) "- после установив обновления безопасности Ubuntu, которые были доступны 18 февраля 2016 года, я получаю следующую ошибку при попытке доступа к некоторым веб-сайтам Google (например, Ссылка ; Ссылка ; Ссылка ):

  

Ошибка подключения SSL

     

Невозможно сделать безопасное подключение к серверу. Это может быть проблемой с сервером или может потребоваться аутентификация клиента   сертификат, которого у вас нет.
  Код ошибки: ERR_SSL_PROTOCOL_ERROR

Эти веб-сайты по-прежнему отображаются правильно на одном компьютере с использованием других веб-браузеров, а именно Google Chrome - " Версия 48.0.2564.109 (64-разрядная версия) " - или Mozilla Firefox - версия " 44.0.2 "

Обновления, установленные 18 февраля 2016 года, были следующими:

  • libnss3: amd64 (3.19.2.1-0ubuntu0.12.04.2, 3.21-0ubuntu0.12.04.1)
  • libnss3: i386 (3.19.2.1-0ubuntu0.12.04.2, 3.21-0ubuntu0.12.04.1)
  • libnss3-1d: amd64 (3.19.2.1-0ubuntu0.12.04.2, 3.21-0ubuntu0.12.04.1)

" libnss3 " указан в Ссылка как " Библиотеки службы сетевой безопасности ", поэтому я считаю, что возможно, что обновление может быть связано с этой проблемой, с которой я столкнулся.

Есть ли у кого-нибудь информация об этой проблеме и / или советы по устранению неполадок?

    
задан ricmarques 19.02.2016 в 22:21
источник

1 ответ

5

Следуя @ хорошему предложению muru , в комментарии к моему вопросу я подал сообщение об ошибке в Launchpad , относительно этой проблемы:

Ошибка # 1547762 «Ошибка протокола SSL» в Chromium для нескольких веб-сайтов Google после установки Ubuntu Security Updates для libnss3: Ошибки: пакет Chrome-браузера: Ubuntu
Ссылка

В этом отчете об ошибке есть информация, что « Эта ошибка влияет на вас и 12 других людей ». Статус ошибки был изменен с «Новый» на «Подтвержденный», поскольку ошибка затрагивает несколько пользователей .

Итак, похоже, это действительно ошибка. Я продолжу обновлять этот ответ в соответствии с ходом этого отчета об ошибке.

НОВОСТИ FLASH (25 февраля 2016 года): эта проблема, по-видимому, была исправлена ​​обновлением Software to Chromium, которое было доступно сегодня! Подробнее см. « Обновление № 3 (25 февраля 2016 г.)» далее:

Обновление # 1 (22 февраля 2016 года):

  • Теперь отображается веб-страница ошибки , которая затрагивает 38 люди. Он по-прежнему отображается как « Unassigned "

  • В «Комментарий № 13» - Ссылка - на этой веб-странице «Ошибка» пользователь beljoost (tempample) отметил, что Об ошибках сообщалось в трекере «Chromium» (19 февраля 2016 года): « Проблема 588146 - ошибка соединения с хромом - SSL после обновления безопасности » - Ссылка - которая была закрыта как« Wontfix »по следующей причине:

  
    

На основе шаблона ошибки вы указали, что у вас запущена версия     «37.0.2062.120», который больше не поддерживается, и имеет ряд     критические ошибки безопасности. Вы должны перейти на последнюю версию     Chrome, который является Chrome 48.

         

Если вы используете версию, предоставленную другой стороной, например     distro, пожалуйста, сообщите им, что они распространяют небезопасные     версия.          

Вы можете загрузить последнюю стабильную версию Chrome на      Ссылка

  
  • В комментарии «Комментарий № 17» - Ссылка - один и тот же пользователь « beljoost (tempample) » отметил, что связанная ошибка существует в отслеживателе ошибок Ubuntu (сообщается 26 июня 2015 г.), «жалуясь», что (в то время) « последняя версия для 12.04 - 37.0.2062.120 ", а" Последняя версия для 14.04 - 43.0.2357.81 ". Эта ошибка по-прежнему отображается как « Unassigned »:

Ошибка # 1468666 «Chromium VERSION на Ubuntu 12.04 LTS»: Ошибки: пакет хромового браузера: Ubuntu
Ссылка

Обновление # 2 (23 февраля 2016 года):

Ошибка, которую я открыл (" Ошибка # 1547762" Протокол SSL Ошибка "в Chromium для нескольких веб-сайтов Google после установки Ubuntu Security Updates для libnss3 ) была отмечена как дубликат следующей ошибки , о которой сообщалось 27 ноября 2015 г. (затрагивает сейчас 53 человека, все еще отмеченных как « Unassigned »):

Ошибка # 1520568 «Все запросы терпят неудачу, когда используется« google »: ERR_SSL_PROTOCOL_ERROR»: Ошибки: пакет хромового браузера: Ubuntu
Ссылка

Обновление # 3 (25 февраля 2016 года):

Эта проблема, по-видимому, исправлена ​​обновлениями программного обеспечения для Chromium, которые были доступны сегодня! : -) Для ошибки 1520568 «Все запросы терпят неудачу, когда используется« google »: ERR_SSL_PROTOCOL_ERROR», пользователь « Марк Дезлорье (mdeslaur) бот " Launchpad Janitor (janitor) "добавила информацию о патч, доступный сегодня, и сообщил, что « Эта ошибка была исправлена ​​в пакете chromium-browser - 37.0.2062.120-0ubuntu0.12.04.2 ». Затем статус этого Ошибка был изменен с « Подтвержденный » на « Исправление выпущено ».

Итак, в « Комментарий # 47 " этой страницы появляется следующая информация:

  

Launchpad Janitor (janitor) написал 21 час назад: # 47

     

Эта ошибка была исправлена ​​в пакете chromium-browser - 37.0.2062.120-0ubuntu0.12.04.2

     

хром-браузер (37.0.2062.120-0ubuntu0.12.04.2) точная защита; & GT; срочность = средняя      

  • debian / patches / nss-321-fix.patch: исправлена ​​совместимость с nss 3.21.   (LP: # 1520568)
  •   

- Марк Deslauriers Wed, 24 Feb 2016 13:42:57 -0500

И, фактически, «Менеджер обновлений» был «заполнен» несколькими доступными обновлениями, включая 3 патча ниже для Chromium. Я протестировал закрытие «Chromium», а затем выбрав только эти 3 патча, установил их, а затем снова начал Chromium, чтобы проверить, достаточно ли этих исправлений для решения проблемы ... и их было достаточно! : -)

Итак, теперь Chromium снова может открывать веб-сайты Google. Очевидно, я предлагаю вам также установить другие доступные исправления / обновления безопасности. На данный момент я установил только 3 доступных патча для хрома, потому что я хотел посмотреть, достаточно ли их для решения проблемы.

В этих обстоятельствах я считаю, что теперь могу отметить этот вопрос, как ответил : -)

Обновить информацию для пакетов Chromium:

  

Браузер Chromium
  хром-браузер (Размер: 45,4 МБ)

     

Изменения для версий:   Установленная версия: 37.0.2062.120-0ubuntu0.12.04.1 ~ pkg917   Доступная версия: 37.0.2062.120-0ubuntu0.12.04.2

     

Версия 37.0.2062.120-0ubuntu0.12.04.2:

     
  • debian / patches / nss-321-fix.patch: исправлена ​​совместимость с nss 3.21.   (LP: # 1520568)
  •   

пакеты с хромовым браузером
  chromium-browser-l10n (Размер: 2,9 MB)

     

Дополнительные кодеки ffmpeg для браузера Chromium
  chromium-codecs-ffmpeg-extra (Размер: 831 kB)

    
ответ дан ricmarques 20.02.2016 в 14:50
источник